<template>
  <div class="lefttop-toolbox-panel">
    <ul>
      <li v-for="(item,i) in imgList" :key="i" @click="toggleActive(i)" :value="total"
          :class="{'active':activeTools[i]}">
        <img :src="item"/>
      </li>
    </ul>
  </div>
</template>

<script>
import circle from '@/assets/images/map-pages/icon/toolbox/circle.png'
import fullscreen from '@/assets/images/map-pages/icon/toolbox/fullscreen.png'
import legend from '@/assets/images/map-pages/icon/toolbox/legend.png'
import location from '@/assets/images/map-pages/icon/toolbox/location.png'
import polygon from '@/assets/images/map-pages/icon/toolbox/polygon.png'
import square from '@/assets/images/map-pages/icon/toolbox/square.png'

export default {
  name: 'ToolBoxPanel',
  components: {},
  data () {
    return {
      isPanelVisible: false,
      total: 0,
      activeTools: {},
      imgList: {
        circle: circle,
        square: square,
        polygon: polygon,
        legend: legend,
        location: location,
        fullscreen: fullscreen
      },
      form: {
        regionType: '',
        enterprise: ''
      }
    }
  },
  methods: {
    handleClose (done) {
      console.log(done)
    },
    handleClick (tab, event) {
      console.log(tab, event)
    },
    toggleActive (k) {
      this.total++
      this.activeTools[k] = !this.activeTools[k]
    },
    loadData () {

    }
  },
  mounted () {
    this.loadData()
  },
  created () {
  }
}
</script>

<style lang="less">
.lefttop-toolbox-panel {
  position: absolute;
  left: 5px;
  top: 5px;
  z-index: 1000;
  width: 175px;
  height: 35px;
  line-height: 30px;
  background: #07325b;
  border: 1px solid #5EF2FF;
  border-radius: 3px;
  text-align: center;

  ul {
    list-style: none;
    margin: 0;
    padding: 5px;

    li {
      float: left;
      width: 23px;
      height: 23px;
      margin: 0 1px;
      border: 1px solid #073C4F;
    }
  }

  .active {
    border: 1px solid #5EF2FF;
  }
}
</style>
